CMSIS-NN: cmsis_nn_context Struct Reference

| CMSIS-NN Version 3.1.0 CMSIS NN Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Enumerations Enumerator Macros Groups Pages
Data Fields
cmsis_nn_context Struct Reference

## Data Fields

void * | buf
int32_t | size

## Description

CMSIS-NN object used for the function context.

## Field Documentation

void* cmsis_nn_context::buf

Pointer to a buffer needed for the optimization

Referenced by arm_avgpool_s8(), arm_convolve_fast_s16(), arm_convolve_s8(), arm_depthwise_conv_s8_opt(), arm_svdf_s8(), and arm_svdf_state_s16_s8().

int32_t cmsis_nn_context::size

Buffer size